﻿@model eCommerce.Services.Model.Exchange
@using eCommerce.Services.Model.Enums

<!-- Panel -->
<div class="panel">
    <div class="panel-body container-fluid">
        <div class="row">
            @Html.Partial("_ExchangePrintHeader", Model)
        </div>
        <h4>Detalle del Cambio</h4>
        <div class="row">
            <div class="page-invoice-table table-responsive">
                <table class="table table-hover text-right margin-bottom-0">
                    <thead>
                        <tr>
                            <th class="col-xs-1 text-center">#</th>
                            <th>Producto</th>
                            <th>Talle</th>
                            <th>Color</th>
                            <th class="text-center">Tipo</th>
                            <th class="text-center">Cantidad</th>
                            <th class="text-right">Subtotal</th>
                        </tr>
                    </thead>
                    <tbody>
                        @{ int i = 1;}
                        @foreach (var item in Model.ExchangeDetails)
                        {
                            <tr>
                                <td class="text-center">@i.ToString()</td>
                                <td class="text-left">@item.Product.Code - @item.Product.Title</td>
                                <td class="text-left">@item.Size.Description</td>
                                <td class="text-left">@item.Color.Description</td>
                                <td class="text-center">
                                    @if (item.ExchangeDetailTypeId == (int)ExchangeDetailTypeEnum.Egreso)
	                                {
                                        <span class="text-danger"><i class="icon wb-chevron-down-mini" aria-hidden="true"></i> Egreso</span>
                                    }
                                    else
                                    {
                                        <span class="text-success"><i class="icon wb-chevron-up-mini" aria-hidden="true"></i> Ingreso</span>

                                    }
                                </td>
                                <td class="text-center">@item.Quantity</td>
                                <td class="text-right">@string.Format("{0:c2}", (item.Price * item.Quantity))</td>
                            </tr>
                            i++;
                        }
                    </tbody>
                </table>
                <table class="table table-hover text-right margin-bottom-0">
                    <tbody>
                        <tr>
                            <th class="text-right" style="width:85%"><strong>TOTAL</strong></th>
                            <td class="text-right"><strong>@string.Format("{0:c2}", Model.Amount)</strong></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        
    </div>
</div>
<!-- End Panel -->




